Google is ready to drop support for Firefox 3.5, IE7 and Safari 3

Looks like Google is trying to push the web forward. Instead of letting people cruise the web with the dregs of humanity they’re trying to get them to upgrade. I like the idea. You can’t convince me you can’t upgrade. Browsers are free so yes you can. Your internal apps rely on the older browsers? Stop writing junk and do it right the first time. I think this is a great idea and think the web needs a kick in the pants. As soon as we kill of IE completely (get on that MS) we’ll be heading in the right direction.

Seriously people, how in the hell can you possibly keep using IE6?

Google to drop support for Firefox 3.5, IE7 and Safari 3

Other articles of interest:

Leave a Reply

Your email address will not be published. Required fields are marked *

Recent Comments